---
title: Updating extensions for Firefox 2
slug: Mozilla/Firefox/Releases/2/Updating_extensions
tags:
  - Add-ons
  - Extensions
---
<div>{{FirefoxSidebar}}</div><p>This article provides information that will be useful to developers that wish to update their extensions to work properly under Firefox 2.</p>

<h2 id="Step_1:_Update_the_install_manifest">Step 1: Update the install manifest</h2>

<p>The first step -- and, for most extensions, the only one that will be needed -- is to update the <a href="en/Install_Manifests">install manifest</a> file, install.rdf, to indicate compatibility with Firefox 2.</p>

<p>Find the line indicating the maximum compatible version of Firefox (which, for Firefox 1.5, might look like this):</p>

<pre class="eval"> <span class="nowiki">&lt;em:maxVersion&gt;1.5.0.*&lt;/em:maxVersion&gt;</span>
</pre>

<p>Change it to indicate compatibility with Firefox 2:</p>

<pre class="eval"> <span class="nowiki">&lt;em:maxVersion&gt;2.0.0.*&lt;/em:maxVersion&gt;</span>
</pre>

<p>Then reinstall your extension.</p>

<h2 id="Step_2:_Update_XUL_overlays">Step 2: Update XUL overlays</h2>

<p>Firefox 2 incorporates changes to the default skin. Additionally, some user interface elements have been changed or moved, and it's possible your extension may be affected by these, depending on what your XUL overlays do.</p>

<p>Look over the article <a href="en/Theme_changes_in_Firefox_2">Theme changes in Firefox 2</a> to learn what changes were made that may affect your extension's XUL overlays.</p>

<h2 id="Step_3:_Test">Step 3: Test</h2>

<p>Be sure to test your extension carefully on Firefox 2 before you release it to the public. The last thing you want is for the new version of your extension to be responsible for a rash of reports of problems with the just-released version of Firefox!</p>

<h2 id="Step_4:_Release">Step 4: Release</h2>

<p>Update your extension's entry on <a class="external" href="http://addons.mozilla.org" rel="freelink">http://addons.mozilla.org</a>. This will ensure that users can find it.</p>

<p>In addition, if your extension provides an <code><a href="en/Install_Manifests#updateURL">updateURL</a></code> in the install manifest, be sure to update the update manifest so that the new version of your extension can be found automatically by Firefox. By doing this, the first time the user runs your extension after upgrading to Firefox 2, Firefox can offer to automatically install it for them.</p>
